package io.swagger.api;

import io.swagger.model.*;
import io.swagger.api.DatabaseApiService;
import io.swagger.api.factories.DatabaseApiServiceFactory;

import io.swagger.annotations.ApiParam;

import io.swagger.model.InlineResponse2002;

import java.util.List;
import io.swagger.api.NotFoundException;

import java.io.InputStream;

import org.glassfish.jersey.media.multipart.FormDataContentDisposition;
import org.glassfish.jersey.media.multipart.FormDataParam;

import javax.ws.rs.core.Context;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.SecurityContext;
import javax.ws.rs.*;

@Path("/database")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@io.swagger.annotations.Api(description = "the database API")
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaJerseyServerCodegen", date = "2016-11-03T11:50:38.179+04:00")
public class DatabaseApi  {
   private final DatabaseApiService delegate = DatabaseApiServiceFactory.getDatabaseApi();

    @GET
    @Path("/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @io.swagger.annotations.ApiOperation(value = "Список аккаунтов в базах данных UNIX", notes = "Возвращает список зарегистрированных аккаунтов в базах данных MySQL и Postgres. Для вычисления имени домена необходимо объединить имя базы данных,   идентификатор сервера и суффикс (поле url_suffix). Например, если ID сервера равен 123 (значит это MySQL — см. описание поля 'server' в ответе), а суффикс равен '1gb.ru', то домен   для доступа будет равен 'mysql123.1gb.ru'.", response = InlineResponse2002.class, responseContainer = "List", tags={ "Базы данных - MySQL / Postgres", })
    @io.swagger.annotations.ApiResponses(value = { 
        @io.swagger.annotations.ApiResponse(code = 200, message = "Список аккаунтов", response = InlineResponse2002.class, responseContainer = "List"),
        
        @io.swagger.annotations.ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse2002.class, responseContainer = "List") })
    public Response databaseListGet(@ApiParam(value = "Ключ доступа, полученный при авторизации",required=true) @QueryParam("_token_") String token_
,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.databaseListGet(token_,securityContext);
    }
}
