package io.swagger.api;

import io.swagger.model.*;
import io.swagger.api.FtpApiService;
import io.swagger.api.factories.FtpApiServiceFactory;

import io.swagger.annotations.ApiParam;

import io.swagger.model.InlineResponse2007;

import java.util.List;
import io.swagger.api.NotFoundException;

import java.io.InputStream;

import org.glassfish.jersey.media.multipart.FormDataContentDisposition;
import org.glassfish.jersey.media.multipart.FormDataParam;

import javax.ws.rs.core.Context;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.SecurityContext;
import javax.ws.rs.*;

@Path("/ftp")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@io.swagger.annotations.Api(description = "the ftp API")
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaJerseyServerCodegen", date = "2016-11-03T11:50:38.179+04:00")
public class FtpApi  {
   private final FtpApiService delegate = FtpApiServiceFactory.getFtpApi();

    @GET
    @Path("/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @io.swagger.annotations.ApiOperation(value = "Получить список зарегистрированных аккаунтов FTP", notes = "", response = InlineResponse2007.class, responseContainer = "List", tags={ "Веб-сайты - hosting_ftp (внутреннее API)", })
    @io.swagger.annotations.ApiResponses(value = { 
        @io.swagger.annotations.ApiResponse(code = 200, message = "Список FTP-аккаунтов", response = InlineResponse2007.class, responseContainer = "List"),
        
        @io.swagger.annotations.ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse2007.class, responseContainer = "List") })
    public Response ftpListGet(@ApiParam(value = "Ключ доступа, полученный при авторизации",required=true) @QueryParam("_token_") String token_
,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.ftpListGet(token_,securityContext);
    }
}
