package io.swagger.api;

import io.swagger.model.*;
import io.swagger.api.IisApiService;
import io.swagger.api.factories.IisApiServiceFactory;

import io.swagger.annotations.ApiParam;

import io.swagger.model.InlineResponse2008;

import java.util.List;
import io.swagger.api.NotFoundException;

import java.io.InputStream;

import org.glassfish.jersey.media.multipart.FormDataContentDisposition;
import org.glassfish.jersey.media.multipart.FormDataParam;

import javax.ws.rs.core.Context;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.SecurityContext;
import javax.ws.rs.*;

@Path("/iis")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@io.swagger.annotations.Api(description = "the iis API")
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaJerseyServerCodegen", date = "2016-11-03T11:50:38.179+04:00")
public class IisApi  {
   private final IisApiService delegate = IisApiServiceFactory.getIisApi();

    @GET
    @Path("/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @io.swagger.annotations.ApiOperation(value = "Список сайтов IIS", notes = "", response = InlineResponse2008.class, responseContainer = "List", tags={ "Веб-сайты - hosting_iis (внутреннее API)", })
    @io.swagger.annotations.ApiResponses(value = { 
        @io.swagger.annotations.ApiResponse(code = 200, message = "Список сайтов", response = InlineResponse2008.class, responseContainer = "List"),
        
        @io.swagger.annotations.ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse2008.class, responseContainer = "List") })
    public Response iisListGet(@ApiParam(value = "Ключ доступа, полученный при авторизации",required=true) @QueryParam("_token_") String token_
,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.iisListGet(token_,securityContext);
    }
}
