package io.swagger.api;

import io.swagger.model.*;
import io.swagger.api.MssqlApiService;
import io.swagger.api.factories.MssqlApiServiceFactory;

import io.swagger.annotations.ApiParam;

import io.swagger.model.InlineResponse2009;

import java.util.List;
import io.swagger.api.NotFoundException;

import java.io.InputStream;

import org.glassfish.jersey.media.multipart.FormDataContentDisposition;
import org.glassfish.jersey.media.multipart.FormDataParam;

import javax.ws.rs.core.Context;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.SecurityContext;
import javax.ws.rs.*;

@Path("/mssql")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@io.swagger.annotations.Api(description = "the mssql API")
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaJerseyServerCodegen", date = "2016-11-03T11:50:38.179+04:00")
public class MssqlApi  {
   private final MssqlApiService delegate = MssqlApiServiceFactory.getMssqlApi();

    @GET
    @Path("/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @io.swagger.annotations.ApiOperation(value = "Получить список аккаунтов в MSSQL", notes = "", response = InlineResponse2009.class, responseContainer = "List", tags={ "Базы данных - Microsoft SQL Server", })
    @io.swagger.annotations.ApiResponses(value = { 
        @io.swagger.annotations.ApiResponse(code = 200, message = "Список аккаунтов MSSQL", response = InlineResponse2009.class, responseContainer = "List"),
        
        @io.swagger.annotations.ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse2009.class, responseContainer = "List") })
    public Response mssqlListGet(@ApiParam(value = "Ключ доступа, полученный при авторизации",required=true) @QueryParam("_token_") String token_
,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.mssqlListGet(token_,securityContext);
    }
}
