package io.swagger.api;

import io.swagger.model.*;
import io.swagger.api.UpdatesApiService;
import io.swagger.api.factories.UpdatesApiServiceFactory;

import io.swagger.annotations.ApiParam;

import io.swagger.model.InlineResponse20010;

import java.util.List;
import io.swagger.api.NotFoundException;

import java.io.InputStream;

import org.glassfish.jersey.media.multipart.FormDataContentDisposition;
import org.glassfish.jersey.media.multipart.FormDataParam;

import javax.ws.rs.core.Context;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.SecurityContext;
import javax.ws.rs.*;

@Path("/updates")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@io.swagger.annotations.Api(description = "the updates API")
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaJerseyServerCodegen", date = "2016-11-03T11:50:38.179+04:00")
public class UpdatesApi  {
   private final UpdatesApiService delegate = UpdatesApiServiceFactory.getUpdatesApi();

    @GET
    @Path("/last")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @io.swagger.annotations.ApiOperation(value = "Идентификатор последнего уведомления в аудите", notes = "", response = Integer.class, tags={ "Аккаунт - аудит аккаунта (события)", })
    @io.swagger.annotations.ApiResponses(value = { 
        @io.swagger.annotations.ApiResponse(code = 200, message = "Идентификатор последнего уведомления в аудите", response = Integer.class),
        
        @io.swagger.annotations.ApiResponse(code = 200, message = "Общая ошибка от сервера", response = Integer.class) })
    public Response updatesLastGet(@ApiParam(value = "Ключ доступа, полученный при авторизации",required=true) @QueryParam("_token_") String token_
,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.updatesLastGet(token_,securityContext);
    }
    @GET
    @Path("/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @io.swagger.annotations.ApiOperation(value = "Список записей аудита", notes = "", response = InlineResponse20010.class, responseContainer = "List", tags={ "Аккаунт - аудит аккаунта (события)", })
    @io.swagger.annotations.ApiResponses(value = { 
        @io.swagger.annotations.ApiResponse(code = 200, message = "Список записей аудита", response = InlineResponse20010.class, responseContainer = "List"),
        
        @io.swagger.annotations.ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse20010.class, responseContainer = "List") })
    public Response updatesListGet(@ApiParam(value = "Ключ доступа, полученный при авторизации",required=true) @QueryParam("_token_") String token_
,@ApiParam(value = "ID первой записи для показа или 0 для показа всех записей",required=true) @QueryParam("_key_") Integer key_
,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.updatesListGet(token_,key_,securityContext);
    }
}
