package io.swagger.api;

import io.swagger.model.*;
import io.swagger.api.BalanceLicApiService;
import io.swagger.api.factories.BalanceLicApiServiceFactory;

import io.swagger.annotations.ApiParam;

import java.math.BigDecimal;

import java.util.List;
import io.swagger.api.NotFoundException;

import java.io.InputStream;

import org.glassfish.jersey.media.multipart.FormDataContentDisposition;
import org.glassfish.jersey.media.multipart.FormDataParam;

import javax.ws.rs.core.Context;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.SecurityContext;
import javax.ws.rs.*;

@Path("/balance.lic")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@io.swagger.annotations.Api(description = "the balance.lic API")
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaJerseyServerCodegen", date = "2016-11-03T11:50:38.179+04:00")
public class BalanceLicApi  {
   private final BalanceLicApiService delegate = BalanceLicApiServiceFactory.getBalanceLicApi();

    @GET
    
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @io.swagger.annotations.ApiOperation(value = "Аккаунт: баланс аккаунта лицензий", notes = "Возвращает текущий баланс аккаунта лицензий", response = BigDecimal.class, tags={ "Аккаунт - биллинг, свойства и статус", })
    @io.swagger.annotations.ApiResponses(value = { 
        @io.swagger.annotations.ApiResponse(code = 200, message = "Текущий баланс аккаунта лицензий", response = BigDecimal.class),
        
        @io.swagger.annotations.ApiResponse(code = 200, message = "Общая ошибка от сервера", response = BigDecimal.class) })
    public Response balanceLicGet(@ApiParam(value = "Ключ доступа, полученный при авторизации",required=true) @QueryParam("_token_") String token_
,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.balanceLicGet(token_,securityContext);
    }
}
