package io.swagger.api;

import io.swagger.model.*;
import io.swagger.api.WebsiteApiService;
import io.swagger.api.factories.WebsiteApiServiceFactory;

import io.swagger.annotations.ApiParam;

import io.swagger.model.InlineResponse20014;

import java.util.List;
import io.swagger.api.NotFoundException;

import java.io.InputStream;

import org.glassfish.jersey.media.multipart.FormDataContentDisposition;
import org.glassfish.jersey.media.multipart.FormDataParam;

import javax.ws.rs.core.Context;
import javax.ws.rs.core.Response;
import javax.ws.rs.core.SecurityContext;
import javax.ws.rs.*;

@Path("/website")
@Consumes({ "application/json" })
@Produces({ "application/json" })
@io.swagger.annotations.Api(description = "the website API")
@javax.annotation.Generated(value = "class io.swagger.codegen.languages.JavaJerseyServerCodegen", date = "2016-11-03T11:50:38.179+04:00")
public class WebsiteApi  {
   private final WebsiteApiService delegate = WebsiteApiServiceFactory.getWebsiteApi();

    @GET
    @Path("/delete")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @io.swagger.annotations.ApiOperation(value = "Удаление сайта", notes = "", response = String.class, tags={ "Веб-сайты - список, свойства, статусы", })
    @io.swagger.annotations.ApiResponses(value = { 
        @io.swagger.annotations.ApiResponse(code = 200, message = "Возврат строки 'OK' означает успех операции", response = String.class),
        
        @io.swagger.annotations.ApiResponse(code = 200, message = "Общая ошибка от сервера", response = String.class) })
    public Response websiteDeleteGet(@ApiParam(value = "Ключ доступа, полученный при авторизации",required=true) @QueryParam("_token_") String token_
,@ApiParam(value = "ID сайта, полученный из /website/list",required=true) @QueryParam("_key_") String key_
,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.websiteDeleteGet(token_,key_,securityContext);
    }
    @GET
    @Path("/list")
    @Consumes({ "application/json" })
    @Produces({ "application/json" })
    @io.swagger.annotations.ApiOperation(value = "Список сайтов аккаунта", notes = "", response = InlineResponse20014.class, responseContainer = "List", tags={ "Веб-сайты - список, свойства, статусы", })
    @io.swagger.annotations.ApiResponses(value = { 
        @io.swagger.annotations.ApiResponse(code = 200, message = "Список сайтов аккаунта", response = InlineResponse20014.class, responseContainer = "List"),
        
        @io.swagger.annotations.ApiResponse(code = 200, message = "Общая ошибка от сервера", response = InlineResponse20014.class, responseContainer = "List") })
    public Response websiteListGet(@ApiParam(value = "Ключ доступа, полученный при авторизации",required=true) @QueryParam("_token_") String token_
,@Context SecurityContext securityContext)
    throws NotFoundException {
        return delegate.websiteListGet(token_,securityContext);
    }
}
